package com.fjhx.file.controller;

import com.fjhx.file.entity.FileInfoSelectDto;
import com.fjhx.file.entity.FileInfoVo;
import com.fjhx.file.entity.SingDto;
import com.fjhx.file.entity.SingVo;
import com.fjhx.file.service.FileInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 文件表 前端控制器
 * </p>
 *
 * @author zlj
 * @since 2023-03-14
 */
@RestController
@RequestMapping("/fileInfo")
public class FileInfoController {

    @Autowired
    private FileInfoService fileInfoService;

    /**
     * 获取前端直传签名
     */
    @PostMapping("/getSing")
    public SingVo getSing(@RequestBody SingDto dto) {
        return fileInfoService.getSing(dto);
    }

    /**
     * 文件表列表
     */
    @PostMapping("/getList")
    public List<FileInfoVo> getList(@RequestBody FileInfoSelectDto dto) {
        return fileInfoService.getList(dto);
    }

}
